REGULATOR_CAN_CHANGE(9)

NAME
regulator_can_change_voltage - check if regulator can change voltage

SYNOPSIS

int regulator_can_change_voltage(struct regulator * regulator);

ARGUMENTS

regulator
    regulator source

DESCRIPTION

Returns positive if the regulator driver backing the source/client can change its voltage, false otherwise. Useful for detecting fixed or dummy regulators and disabling voltage change logic in the client driver.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT